Bug 1810317 - image-registry should be running in a 2 pod configuration always
Summary: image-registry should be running in a 2 pod configuration always
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1810562
TreeView+ depends on / blocked
 
Reported: 2020-03-04 23:20 UTC by Clayton Coleman
Modified: 2020-07-13 17:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: high available configuration by default Reason: problems with one of the registry pods should not affect availability of the registry Result: the registry has 2 replicas by default when its possible
Clone Of:
: 1810562 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:18:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 482 None closed Bug 1810317: bootstrap HA configuration 2020-07-02 20:44:00 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:18:44 UTC

Description Clayton Coleman 2020-03-04 23:20:05 UTC
On a 4.4 cluster there is only a single image registry pod running by default.  All of our components must run in an HA configuration by default (2 pods with normal spreading).

This must be backported to 4.3.

Comment 1 Clayton Coleman 2020-03-04 23:25:16 UTC
Note I'm fine if it's only 2 when the default backend is object storage (clouds)

Comment 4 Wenjing Zheng 2020-03-12 08:10:03 UTC
Verified on 4.5.0-0.nightly-2020-03-11-214319: there are two image registry pods running.

Comment 6 errata-xmlrpc 2020-07-13 17:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.